## ros-indigo-pr2-power-board 1.1.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_power_board)

find_package(catkin REQUIRED COMPONENTS roscpp diagnostic_updater diagnostic_msgs pr2_msgs message_generation)
find_package(Boost REQUIRED COMPONENTS thread program_options)
find_library(LOG4CXX_LIBRARY log4cxx)

add_service_files(
  FILES
  PowerBoardCommand.srv
  PowerBoardCommand2.srv
)

catkin_python_setup()

## Generate added messages and services with any dependencies listed here
generate_messages()

include_directories(include ${Boost_INCLUDE_DIRS})

add_executable(power_node src/power_node/power_node.cpp)
add_dependencies(power_node
   ${catkin_EXPORTED_TARGETS}
   ${pr2_power_board_EXPORTED_TARGETS})

add_executable(power_node2 src/power_node/power_node2.cpp)
add_dependencies(power_node2 
   ${catkin_EXPORTED_TARGETS}
   ${pr2_power_board_EXPORTED_TARGETS})

target_link_libraries(power_node 
   ${LOG4CXX_LIBRARY}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES})
target_link_libraries(power_node2 
   ${LOG4CXX_LIBRARY}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES})

catkin_package(CATKIN_DEPENDS message_runtime)

install(TARGETS power_node power_node2
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS 
   scripts/fake_powerboard.py
   scripts/send_command
   scripts/test_power.py
   scripts/view_power
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY ui
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES
   gui_power.launch
   gui_power2.launch
   power.xml
   pr_wiring.yaml
   test_wires.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-power-board (1.1.5-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-pr2-power-board (1.1.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 12 Jan 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-power-board
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-message-generation, ros-indigo-pr2-msgs, ros-indigo-roscpp
Homepage: http://www.ros.org/wiki/pr2_power_board
Standards-Version: 3.9.2

Package: ros-indigo-pr2-power-board
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-message-runtime, ros-indigo-pr2-msgs, ros-indigo-roscpp, ros-indigo-rospy
Description: This provides a ROS node for the PR2 Power Board.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-power-board//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
